<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title> Friend List </title>
  </head>
  <body style="background-color: rgb(219, 208, 192);">  
    <style>
    h2 {text-align: center;}
    table, th, td {
      border:5px solid rgb(100, 0, 0);
      color: rgb(0, 0, 0);
      padding: 5px 5px;
    }table.center {
          margin-left: auto;
          margin-right: auto;
          margin-top: auto;
          margin-bottom: auto;
        }
    </style>
    <h2>  Friend List  </h2>
    <table class = "center", style ="width:50%" >
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>
      {% for element in friends %}
      <tr>
        <td>{{ element.name }}</td>
        <td>{{ element.npm }}</td>
        <td>{{ element.date }}</td>
      </tr>
      {% endfor %}
    </table>
  </body>
</html>
